description

# StreamSubscription<T> class Null safety

A subscription on events from a Stream.

When you listen on a Stream using Stream.listen, a StreamSubscription object is returned.

The subscription provides events to the listener, and holds the callbacks used to handle the events. The subscription can also be used to unsubscribe from the events, or to temporarily pause the events from the stream.

## Constructors

StreamSubscription()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isPaused → bool
  Whether the StreamSubscription is currently paused. [...]
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

asFuture<E>([E? futureValue]) → Future<E>
  Returns a future that handles the onDone and onError callbacks. [...]
cancel() → Future<void>
  Cancels this subscription. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
onData(void handleData(T data)) → void
  Replaces the data event handler of this subscription. [...]
onDone(void handleDone()) → void
  Replaces the done event handler of this subscription. [...]
onError(Function? handleError) → void
  Replaces the error event handler of this subscription. [...]
pause([Future<void>? resumeSignal]) → void
  Request that the stream pauses events until further notice. [...]
resume() → void
  Resume after a pause. [...]
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited